Extending Qt Creator Manual | ExternalToolManager

Extending Qt Creator Manual 4.5.2

# ExternalToolManager Class

(Core::ExternalToolManager)

- List of all members, including inherited members

## Public Functions

| ExternalToolManager()
| ~ExternalToolManager()

## Signals

void | replaceSelectionRequested(const QString &text)

## Static Public Members

void | emitReplaceSelectionRequested(const QString &output)
ExternalToolManager * | instance()
void | setToolsByCategory(const QMap<QString, QList<Internal::ExternalTool *> > &tools)
QMap<QString, QList<Internal::ExternalTool *> > | toolsByCategory()
QMap<QString, Internal::ExternalTool *> | toolsById()

## Member Function Documentation

### ExternalToolManager::ExternalToolManager()

Default constructs an instance of ExternalToolManager.

### ExternalToolManager::~ExternalToolManager()

Destroys the instance of ExternalToolManager.

### `[static]` void ExternalToolManager::emitReplaceSelectionRequested(const QString &output)

### `[static]` ExternalToolManager *ExternalToolManager::instance()

### `[signal]` void ExternalToolManager::replaceSelectionRequested(const QString &text)

### `[static]` void ExternalToolManager::setToolsByCategory(const QMap<QString, QList<Internal::ExternalTool *> > &tools)

See also toolsByCategory().

### `[static]` QMap<QString, QList<Internal::ExternalTool *> > ExternalToolManager::toolsByCategory()

See also setToolsByCategory().

### `[static]` QMap<QString, Internal::ExternalTool *> ExternalToolManager::toolsById()